VERSION 4.00
Begin VB.Form frmInetMap 
   Caption         =   "Internet-map"
   ClientHeight    =   3780
   ClientLeft      =   216
   ClientTop       =   732
   ClientWidth     =   6192
   Height          =   4164
   Left            =   168
   LinkTopic       =   "Form1"
   ScaleHeight     =   3780
   ScaleWidth      =   6192
   Top             =   396
   Width           =   6288
   Begin VB.PictureBox Map 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   3000
      Left            =   0
      ScaleHeight     =   2952
      ScaleWidth      =   5952
      TabIndex        =   4
      Top             =   600
      Width           =   6000
   End
   Begin VB.HScrollBar scrX 
      Height          =   180
      Left            =   0
      Max             =   180
      Min             =   -180
      TabIndex        =   3
      Top             =   3600
      Width           =   6000
   End
   Begin VB.VScrollBar scrY 
      Height          =   3012
      Left            =   6000
      Max             =   90
      Min             =   -90
      TabIndex        =   2
      Top             =   600
      Width           =   180
   End
   Begin VB.Frame Frame1 
      Caption         =   "Zoom"
      Height          =   540
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6180
      Begin VB.HScrollBar scrZoom 
         Height          =   180
         LargeChange     =   2
         Left            =   120
         Max             =   30
         Min             =   1
         TabIndex        =   1
         Top             =   240
         Value           =   1
         Width           =   5948
      End
   End
End
Attribute VB_Name = "frmInetMap"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Dim Zoom As Integer
Dim XPlace, YPlace As Integer
Sub UpdateMap()
Dim X, Y As Single, Name, IPAddress As String, City As Variant
Dim dbTopology As Database, tblRouter As Recordset, tblLink As Recordset
Set dbTopology = OpenDatabase("inettopo.mdb")                           'Open Database
Set tblRouter = dbTopology.OpenRecordset("Router")      'Open Table Router
Set tblLink = dbTopology.OpenRecordset("Link")          'Open Table Router
frmInetMap.Map.Cls
frmInetMap.Map.ScaleHeight = 2 * Map.Height / Map.Width * 180 / scrZoom.Value
frmInetMap.Map.ScaleWidth = Map.Width / (2 * Map.Height) * 360 / scrZoom.Value
frmInetMap.Map.ScaleTop = scrY.Value
frmInetMap.Map.ScaleLeft = scrX.Value
frmInetMap.Map.ForeColor = RGB(255, 0, 0)
tblRouter.MoveFirst
While Not tblRouter.EOF         'Go through Router-table
    Name = tblRouter!Name
    IPAddress = tblRouter("IP-address")
    City = tblRouter!City
    X = tblRouter!X
    Y = -tblRouter!Y
    Map.CurrentX = X
    Map.CurrentY = Y
    Map.Circle (X, Y), 2 / scrZoom.Value     'Plot mark for Router
    Map.Print Name              'Print Router Name
    Map.CurrentY = Y - (Map.TextHeight(X))
    Map.CurrentX = X
    If Map.Height / Map.ScaleHeight > 50 Or Map.Width / Map.ScaleWidth > 100 Then Map.Print City      'Print Router City
    Map.CurrentY = Y + (Map.TextHeight(X))
    Map.CurrentX = X
    If Map.Height / Map.ScaleHeight > 50 Or Map.Width / Map.ScaleWidth > 100 Then Map.Print IPAddress         'Print Router IP-Address
    tblRouter.MoveNext
Wend
frmInetMap.Map.ForeColor = RGB(0, 0, 0)
tblLink.MoveFirst
While Not tblLink.EOF                   'Go through Router-table
    Map.Line (tblLink!BeginX, -tblLink!BeginY)-(tblLink!EndX, -tblLink!EndY) 'Draw link
    tblLink.MoveNext
Wend
tblRouter.Close       ' Close Table.
tblLink.Close       ' Close Table.
dbTopology.Close    ' Close Database
Map.DrawWidth = 2       'draw world map with thicker line
'Draw North-America
Map.Line (-97.5, -27)-(-92.5, -30)
Map.Line -(-82, -25)
Map.Line -(-80, -25.4)
Map.Line -(-80, -27)
Map.Line -(-82, -31)
Map.Line -(-76, -35)
Map.Line -(-74, -40)
Map.Line -(-70, -42)
Map.Line -(-70.5, -43.5)
Map.Line -(-64, -46)
Map.Line -(-56, -53)
Map.Line -(-65, -60)
Map.Line -(-77, -63)
Map.Line -(-80, -55)
Map.Line -(-95, -59)
Map.Line -(-87, -65)
Map.Line -(-65, -63)
Map.Line -(-125, -74)
Map.Line -(-135, -69)
Map.Line -(-157, -72)
Map.Line -(-168, -66)
Map.Line -(-165, -60)
Map.Line -(-157, -58)
Map.Line -(-165, -54)
Map.Line -(-147, -60)
Map.Line -(-140, -59.5)
Map.Line -(-128, -51)
Map.Line -(-125, -48)
Map.Line -(-124, -39)
Map.Line -(-121, -34.5)
Map.Line -(-117.5, -33)
Map.Line -(-110, -23)
Map.Line -(-115, -32)
Map.Line -(-107, -24)
'draw Central- and South-America
Map.Line -(-105, -19)
Map.Line -(-96, -16)
Map.Line -(-94, -17)
Map.Line -(-83, -8)
Map.Line -(-78, -8.5)
Map.Line -(-77, -8.5)
Map.Line -(-82, 1)
Map.Line -(-82, 6)
Map.Line -(-76, 15)
Map.Line -(-71, 18)
Map.Line -(-76, 47)
Map.Line -(-76, 53)
Map.Line -(-67, 55)
Map.Line -(-65, 54)
Map.Line -(-69, 50)
Map.Line -(-63, 38)
Map.Line -(-57, 37)
Map.Line -(-43, 23)
Map.Line -(-38, 14)
Map.Line -(-35, 7)
Map.Line -(-35, 5)
Map.Line -(-50, 0)
Map.Line -(-54, -6)
Map.Line -(-62, -10)
Map.Line -(-72, -12)
Map.Line -(-77, -8)
Map.Line -(-82, -8)
Map.Line -(-84, -11)
Map.Line -(-83, -15)
Map.Line -(-88, -17)
Map.Line -(-87, -22)
Map.Line -(-90, -22)
Map.Line -(-92, -18)
Map.Line -(-96, -18)
Map.Line -(-98, -22)
Map.Line -(-97.5, -27)
'Draw Cuba, Haiti
Map.Line (-85, -22)-(-81, -23)
Map.Line -(-74, -20)
Map.Line -(-77, -20)
Map.Line -(-81, -22)
Map.Line -(-85, -22)
Map.Line (-74, -18)-(-72.5, -18.5)
Map.Line -(-73, -20)
Map.Line -(-71, -20)
Map.Line -(-68, -18)
Map.Line -(-74, -18)
'Draw Africa
Map.Line (32, -31)-(32, -29)
Map.Line -(37, -22)
Map.Line -(37.5, -18)
Map.Line -(40, -15)
Map.Line -(43, -13)
Map.Line -(44.5, -11)
Map.Line -(51, -12)
Map.Line -(40, 5)
Map.Line -(41, 15)
Map.Line -(35, 20)
Map.Line -(36, 24)
Map.Line -(33, 26)
Map.Line -(33.5, 28)
Map.Line -(29, 32)
Map.Line -(26, 34)
Map.Line -(20, 35)
Map.Line -(18, 34)
Map.Line -(17, 30)
Map.Line -(12, 18)
Map.Line -(13, 9)
Map.Line -(9, 1)
Map.Line -(9, -4)
Map.Line -(2, -6)
Map.Line -(-8, -4)
Map.Line -(-17, -12)
Map.Line -(-17, -22)
Map.Line -(-5.5, -36)
Map.Line -(-4.5, -35)
Map.Line -(10, -37)
Map.Line -(11, -33)
Map.Line -(19, -30)
Map.Line -(21, -32)
Map.Line -(29, -31)
Map.Line -(32, -31)
'Draw Madagaskar
Map.Line (49, 12)-(51, 16)
Map.Line -(47, 25)
Map.Line -(44, 26)
Map.Line -(43, 22)
Map.Line -(44, 16)
Map.Line -(49, 12)
'Draw Asia
Map.Line (32, -31)-(32, -29)
Map.Line -(34, -28)
Map.Line -(35, -29)
Map.Line -(34.5, -28.5)
Map.Line -(43, -16)
Map.Line -(43.5, -13)
Map.Line -(55, -17)
Map.Line -(60, -22)
Map.Line -(56, -26)
Map.Line -(52, -24)
Map.Line -(48, -29)
Map.Line -(50, -30)
Map.Line -(54, -27)
Map.Line -(56.5, -27.5)
Map.Line -(57, -26)
Map.Line -(67, -26)
Map.Line -(72, -20)
Map.Line -(77, -8)
Map.Line -(80, -11)
Map.Line -(80.5, -16)
Map.Line -(87, -22)
Map.Line -(92, -23)
Map.Line -(94, -16)
Map.Line -(97, -17)
Map.Line -(98, -8)
Map.Line -(102, -3)
Map.Line -(104, -1)
Map.Line -(103.5, -5)
Map.Line -(99, -9)
Map.Line -(100, -14)
Map.Line -(105, -9)
Map.Line -(109, -11)
Map.Line -(109, -15)
Map.Line -(106, -19)
Map.Line -(109, -22)
Map.Line -(108, -18)
Map.Line -(111, -20)
Map.Line -(111, -20)
Map.Line -(117, -24)
Map.Line -(122, -32)
Map.Line -(118, -38)
Map.Line -(125, -40)
Map.Line -(126, -34)
Map.Line -(129, -35)
Map.Line -(129, -37)
Map.Line -(128, -40)
Map.Line -(132, -43)
Map.Line -(134, -43)
Map.Line -(141, -50)
Map.Line -(141, -54)
Map.Line -(135, -55)
Map.Line -(143, -59)
Map.Line -(155, -59)
Map.Line -(157, -62)
Map.Line -(164, -62)
Map.Line -(156, -56)
Map.Line -(157, -51)
Map.Line -(162, -55)
Map.Line -(164, -60)
Map.Line -(170, -60)
Map.Line -(180, -63)
Map.Line -(179, -65)
Map.Line -(186, -64)
Map.Line -(190, -67)
Map.Line -(160, -70)
Map.Line -(140, -73)
Map.Line -(130, -71)
Map.Line -(130, -73)
Map.Line -(110, -74)
Map.Line -(113, -77)
'Draw Europe beginning from Siberia
Map.Line -(80, -74)
Map.Line -(40, -67)
Map.Line -(30, -72)
Map.Line -(25, -72)
Map.Line -(18, -70)
Map.Line -(11, -65)
Map.Line -(5, -62.5)
Map.Line -(5, -60)
Map.Line -(5.5, -58.5)
Map.Line -(7.5, -58)
Map.Line -(10.5, -59)
Map.Line -(13, -55.5)
Map.Line -(16, -56)
Map.Line -(19, -60)
Map.Line -(17, -61)
Map.Line -(17, -63)
Map.Line -(22, -66)
Map.Line -(25, -66)
Map.Line -(25, -65)
Map.Line -(21, -63)
Map.Line -(21, -61)
Map.Line -(22, -60)
Map.Line -(25, -60)
Map.Line -(29, -61)
Map.Line -(30, -60)
Map.Line -(25, -59.5)
Map.Line -(21, -57)
Map.Line -(20, -55)
Map.Line -(11, -54)
Map.Line -(12, -55.5)
Map.Line -(12, -56.5)
Map.Line -(10, -56.5)
Map.Line -(11, -58)
Map.Line -(8, -57)
Map.Line -(9, -54)
Map.Line -(5, -53.5)
Map.Line -(1, -50)
Map.Line -(-2, -49.5)
Map.Line -(-2, -48.5)
Map.Line -(-5, -48.5)
Map.Line -(-2, -46)
Map.Line -(-2, -44)
Map.Line -(-8.5, -44)
Map.Line -(-8.5, -37.5)
Map.Line -(-5.5, -36.2)
Map.Line -(-2, -36.5)
Map.Line -(-0, -39)
Map.Line -(-0, -40)
Map.Line -(3, -42)
Map.Line -(3, -43)
Map.Line -(6, -43)
Map.Line -(8, -44)
Map.Line -(15.5, -40)
Map.Line -(15, -37)
Map.Line -(12, -38)
Map.Line -(16, -38)
Map.Line -(17.5, -40)
Map.Line -(18.5, -40)
Map.Line -(13, -45)
Map.Line -(14, -46)
Map.Line -(19, -42)
Map.Line -(19, -39)
Map.Line -(22, -37)
Map.Line -(24, -38)
Map.Line -(18, -40)
Map.Line -(42, -42)
Map.Line -(37, -46)
Map.Line -(34, -44)
Map.Line -(31, -46.5)
Map.Line -(28, -43)
Map.Line -(28, -42)
Map.Line -(26, -42)
Map.Line -(26, -38)
Map.Line -(29, -36.5)
Map.Line -(36, -37)
Map.Line -(34, -31)
Map.Line -(32, -31)
'Draw Great Britain and Ireland
Map.Line (-6, -50)-(1, -51)
Map.Line -(2, -53)
Map.Line -(-3, -58)
Map.Line -(-6, -57)
Map.Line -(-3, -54)
Map.Line -(-6, -50)
Map.Line (-10, -51)-(-6, -52)
Map.Line -(-5.5, -55)
Map.Line -(-8, -55.5)
Map.Line -(-10, -54)
Map.Line -(-10, -51)
'Draw Iceland
Map.Line (-20, -63)-(-16, -64)
Map.Line -(-15, -67)
Map.Line -(-23, -66.5)
Map.Line -(-24, -65.5)
Map.Line -(-20, -63)
'Draw the Kaspian Sea
Map.Line (47, -45)-(49, -37)
Map.Line -(54, -37)
Map.Line -(51, -44)
Map.Line -(53, -46)
Map.Line -(53, -47)
Map.Line -(47, -45)
'Draw Sri Lanka
Map.Line (80, -10)-(80, -6)
Map.Line -(82, -7)
Map.Line -(80, -10)
'Draw Indonesia
Map.Line (95, -5)-(105, 5)
Map.Line -(125, 8)
Map.Line -(105, 7)
Map.Line -(105, 2)
Map.Line -(95, -5)
Map.Line (109, -1)-(110, 4)
Map.Line -(116, 5)
Map.Line -(118, -6)
Map.Line -(109, -1)
Map.Line (130, 4)-(145, 5)
Map.Line -(150, 10)
Map.Line -(188, 8)
Map.Line -(130, 4)
'Draw Australia and New Zealand
Map.Line (142, 11)-(154, 25)
Map.Line -(154, 30)
Map.Line -(150, 37.5)
Map.Line -(145, 38)
Map.Line -(140, 37)
Map.Line -(137, 32)
Map.Line -(124, 34)
Map.Line -(115, 35)
Map.Line -(114, 27)
Map.Line -(114, 22)
Map.Line -(120, 20)
Map.Line -(125, 15)
Map.Line -(122, 14)
Map.Line -(130, 15)
Map.Line -(131, 12)
Map.Line -(137, 12)
Map.Line -(135, 15)
Map.Line -(140, 18)
Map.Line -(142, 11)
Map.Line (145, 41)-(148, 41)
Map.Line -(146, 44)
Map.Line -(145, 41)
Map.Line (173, 35)-(178, 38)
Map.Line -(170, 46)
Map.Line -(166, 46)
Map.Line -(172, 40)
Map.Line -(175, 41)
Map.Line -(173, 35)
'Draw Japan
Map.Line (130, -31)-(130, -34)
Map.Line -(136, -36)
Map.Line -(140, -41)
Map.Line -(145, -43)
Map.Line -(141, -45)
Map.Line -(140, -41)
Map.Line -(142, -40)
Map.Line -(141, -35)
Map.Line -(130, -31)
Map.DrawWidth = 1       'draw world map with thicker line

End Sub

Private Sub Form_Load()
UpdateMap
End Sub


Private Sub Form_Resize()           'Adjust map and scrolls to window size
If frmInetMap.Width - 108 >= 0 Then Frame1.Width = frmInetMap.Width - 108
If frmInetMap.Width - 340 >= 0 Then scrZoom.Width = frmInetMap.Width - 340
If frmInetMap.Width - 288 >= 0 Then Map.Width = frmInetMap.Width - 288
If frmInetMap.Width - 288 >= 0 Then scrY.Left = frmInetMap.Width - 288
If frmInetMap.Width - 288 >= 0 Then scrX.Width = frmInetMap.Width - 288
If frmInetMap.Height - 1164 >= 0 Then Map.Height = frmInetMap.Height - 1164
If frmInetMap.Height - 564 >= 0 Then scrX.Top = frmInetMap.Height - 564
If frmInetMap.Height - 1164 >= 0 Then scrY.Height = frmInetMap.Height - 1164
UpdateMap

End Sub


Private Sub scrX_Change()
UpdateMap
End Sub

Private Sub scrY_Change()
UpdateMap

End Sub


Private Sub scrZoom_Change()
scrY.Max = 130 - (180 / scrZoom.Value)
scrX.Max = 150 - (360 / scrZoom.Value)
UpdateMap
End Sub


